Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.hl7v2.impl
Class XCNImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.hl7v2.impl.XCNImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, XCN

    public class XCNImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements XCN

An implementation of the model object 'XCN'. This data structure is being used to represent a person name and identifier and is based on the HL7 v2.5 data type XCN.

The following features are implemented:

- `Id Number`
- `Family Name`
- `Given Name`
- `Other Name`
- `Suffix`
- `Prefix`
- `Assigning Authority Name`
- `Assigning Authority Universal Id`
- `Assigning Authority Universal Id Type`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`java.lang.String` | `getAssigningAuthorityName()`
`java.lang.String` | `getAssigningAuthorityUniversalId()`
`java.lang.String` | `getAssigningAuthorityUniversalIdType()`
`java.lang.String` | `getFamilyName()`
`java.lang.String` | `getGivenName()`
`java.lang.String` | `getIdNumber()`
`java.lang.String` | `getOtherName()`
`java.lang.String` | `getPrefix()`
`java.lang.String` | `getSuffix()`
`void` | `setAssigningAuthorityName(java.lang.String newAssigningAuthorityName)`
`void` | `setAssigningAuthorityUniversalId(java.lang.String newAssigningAuthorityUniversalId)`
`void` | `setAssigningAuthorityUniversalIdType(java.lang.String newAssigningAuthorityUniversalIdType)`
`void` | `setFamilyName(java.lang.String newFamilyName)`
`void` | `setGivenName(java.lang.String newGivenName)`
`void` | `setIdNumber(java.lang.String newIdNumber)`
`void` | `setOtherName(java.lang.String newOtherName)`
`void` | `setPrefix(java.lang.String newPrefix)`
`void` | `setSuffix(java.lang.String newSuffix)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getIdNumber

    public java.lang.String getIdNumber()

  Specified by:
    `getIdNumber` in interface `XCN`
  Returns:
    the value of the 'Id Number' attribute.
  See Also:
    `XCN.setIdNumber(String)`, `Hl7v2Package.getXCN_IdNumber()`

### setIdNumber

    public void setIdNumber(java.lang.String newIdNumber)

  Specified by:
    `setIdNumber` in interface `XCN`
  Parameters:
    `newIdNumber` - the new value of the 'Id Number' attribute.
  See Also:
    `XCN.getIdNumber()`

### getFamilyName

    public java.lang.String getFamilyName()

  Specified by:
    `getFamilyName` in interface `XCN`
  Returns:
    the value of the 'Family Name' attribute.
  See Also:
    `XCN.setFamilyName(String)`, `Hl7v2Package.getXCN_FamilyName()`

### setFamilyName

    public void setFamilyName(java.lang.String newFamilyName)

  Specified by:
    `setFamilyName` in interface `XCN`
  Parameters:
    `newFamilyName` - the new value of the 'Family Name' attribute.
  See Also:
    `XCN.getFamilyName()`

### getGivenName

    public java.lang.String getGivenName()

  Specified by:
    `getGivenName` in interface `XCN`
  Returns:
    the value of the 'Given Name' attribute.
  See Also:
    `XCN.setGivenName(String)`, `Hl7v2Package.getXCN_GivenName()`

### setGivenName

    public void setGivenName(java.lang.String newGivenName)

  Specified by:
    `setGivenName` in interface `XCN`
  Parameters:
    `newGivenName` - the new value of the 'Given Name' attribute.
  See Also:
    `XCN.getGivenName()`

### getOtherName

    public java.lang.String getOtherName()

  Specified by:
    `getOtherName` in interface `XCN`
  Returns:
    the value of the 'Other Name' attribute.
  See Also:
    `XCN.setOtherName(String)`, `Hl7v2Package.getXCN_OtherName()`

### setOtherName

    public void setOtherName(java.lang.String newOtherName)

  Specified by:
    `setOtherName` in interface `XCN`
  Parameters:
    `newOtherName` - the new value of the 'Other Name' attribute.
  See Also:
    `XCN.getOtherName()`

### getSuffix

    public java.lang.String getSuffix()

  Specified by:
    `getSuffix` in interface `XCN`
  Returns:
    the value of the 'Suffix' attribute.
  See Also:
    `XCN.setSuffix(String)`, `Hl7v2Package.getXCN_Suffix()`

### setSuffix

    public void setSuffix(java.lang.String newSuffix)

  Specified by:
    `setSuffix` in interface `XCN`
  Parameters:
    `newSuffix` - the new value of the 'Suffix' attribute.
  See Also:
    `XCN.getSuffix()`

### getPrefix

    public java.lang.String getPrefix()

  Specified by:
    `getPrefix` in interface `XCN`
  Returns:
    the value of the 'Prefix' attribute.
  See Also:
    `XCN.setPrefix(String)`, `Hl7v2Package.getXCN_Prefix()`

### setPrefix

    public void setPrefix(java.lang.String newPrefix)

  Specified by:
    `setPrefix` in interface `XCN`
  Parameters:
    `newPrefix` - the new value of the 'Prefix' attribute.
  See Also:
    `XCN.getPrefix()`

### getAssigningAuthorityName

    public java.lang.String getAssigningAuthorityName()

  Specified by:
    `getAssigningAuthorityName` in interface `XCN`
  Returns:
    the value of the 'Assigning Authority Name' attribute.
  See Also:
    `XCN.setAssigningAuthorityName(String)`, `Hl7v2Package.getXCN_AssigningAuthorityName()`

### setAssigningAuthorityName

    public void setAssigningAuthorityName(java.lang.String newAssigningAuthorityName)

  Specified by:
    `setAssigningAuthorityName` in interface `XCN`
  Parameters:
    `newAssigningAuthorityName` - the new value of the 'Assigning Authority Name' attribute.
  See Also:
    `XCN.getAssigningAuthorityName()`

### getAssigningAuthorityUniversalId

    public java.lang.String getAssigningAuthorityUniversalId()

  Specified by:
    `getAssigningAuthorityUniversalId` in interface `XCN`
  Returns:
    the value of the 'Assigning Authority Universal Id' attribute.
  See Also:
    `XCN.setAssigningAuthorityUniversalId(String)`, `Hl7v2Package.getXCN_AssigningAuthorityUniversalId()`

### setAssigningAuthorityUniversalId

    public void setAssigningAuthorityUniversalId(java.lang.String newAssigningAuthorityUniversalId)

  Specified by:
    `setAssigningAuthorityUniversalId` in interface `XCN`
  Parameters:
    `newAssigningAuthorityUniversalId` - the new value of the 'Assigning Authority Universal Id' attribute.
  See Also:
    `XCN.getAssigningAuthorityUniversalId()`

### getAssigningAuthorityUniversalIdType

    public java.lang.String getAssigningAuthorityUniversalIdType()

  Specified by:
    `getAssigningAuthorityUniversalIdType` in interface `XCN`
  Returns:
    the value of the 'Assigning Authority Universal Id Type' attribute.
  See Also:
    `XCN.setAssigningAuthorityUniversalIdType(String)`, `Hl7v2Package.getXCN_AssigningAuthorityUniversalIdType()`

### setAssigningAuthorityUniversalIdType

    public void setAssigningAuthorityUniversalIdType(java.lang.String newAssigningAuthorityUniversalIdType)

  Specified by:
    `setAssigningAuthorityUniversalIdType` in interface `XCN`
  Parameters:
    `newAssigningAuthorityUniversalIdType` - the new value of the 'Assigning Authority Universal Id Type' attribute.
  See Also:
    `XCN.getAssigningAuthorityUniversalIdType()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD